Kompatibilität

Dieser Seite soll einen Überblick über die Kompatibilitäten zwischen beamer-tool und den verschiedenen Betriebssystemen geben. Als Basis dient immer die aktuellste Java-Version sowie das Betriebssystem mit allen installierten Sicherheitsupdates.
Zurzeit verwendete Java-Version: 1.6.0_05

Ebenso werden hier getestete Handys und GSM-Karten aufgeführt, welche mit beamer-tool arbeiten.
Plattformen
beamer-tool v3 beamer-tool v3 Webstart
Linux (32 bit) OK OK
Linux (64 bit) OK Nicht möglich 1
Mac OS X Keine Testmöglichkeit OK
Windows XP (32 bit) OK OK
Windows XP (64 bit) OK Nicht möglich 1
Windows Vista OK3 OK3

1: Der Webstart ist zurzeit auf keiner 64bit-Plattform möglich, da der Java Webstart für 64bit-Plattformen nicht verfügbar ist.

3: Unter Vista ist der 3D-Modus nach Benutzerberichten nicht möglich. Weitere Testberichte sind sehr willkommen.

Geräte
Hersteller Modell Verwendeter Handler Ergebnis Anmerkungen
HUAWEI Mobile Connect E630 SMSlib / Generic OK Wird z.B. bei 3 als UMTS-Karte vertrieben.
Nokia 6131 - Nicht möglich Bitte die Symbian-Anmerkungen beachten!
Nokia N73 - Nicht möglich Bitte die n-Serie-Anmerkungen beachten!
Option Fuji (GE 0201) MCC (Express) SMSlib / Generic OK Wird z.B. bei vodafone als UMTS-Karte vertrieben.
Sony Ericsson K750i SMSlib / Sony Ericsson OK -
Sony Ericsson K800i SMSlib / Sony Ericsson OK -
Sony Ericsson W880i SMSlib / Sony Ericsson OK -
Ubinetics GDC-201 SMSlib / Ubinetics GDC-201 OK -
Anmerkungen

Symbian OS

Momentan bietet SMSlib keine Möglichkeit Symbian-Handies abzufragen.
Daher können diese Geräte mit beamer-tool nicht verwendet werden.
Nokia N-Serie

Höchst wahrscheinlich wird kein Modell der Nokia N-Serie funktionieren.
Dies liegt darin begründet, dass kein COM-Profil für Bluetooth (SPP) angeboten wird.